#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 brick
version:              0.57.1
visibility:           public
id:                   brick-0.57.1-1kIsIIhMUIE4kSBKpnl5ts
key:                  brick-0.57.1-1kIsIIhMUIE4kSBKpnl5ts
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2020
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  7951d3e7a028c5829290807d15c7ee10
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Main Brick.Markup Brick.Themes Brick.Types
    Brick.Util Brick.Widgets.Border Brick.Widgets.Border.Style
    Brick.Widgets.Center Brick.Widgets.Core Brick.Widgets.Dialog
    Brick.Widgets.Edit Brick.Widgets.FileBrowser Brick.Widgets.List
    Brick.Widgets.ProgressBar Data.IMap Data.Text.Markup

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.Internal
    Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-8.10.3/site-local/brick-0.57.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/brick-0.57.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/brick-0.57.1
hs-libraries:         HSbrick-0.57.1-1kIsIIhMUIE4kSBKpnl5ts
depends:
    base-4.14.1.0 bytestring-0.10.12.0
    config-ini-0.2.4.0-96Dn7vdCgm0CbXt274ug9d containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    data-clist-0.1.2.3-1u5il5Hv5l04cRgdhmgBIP deepseq-1.4.4.0
    directory-1.3.6.0 dlist-1.0-67oGZwx8qAx8QyT5POjvGZ
    exceptions-0.10.4 filepath-1.4.2.1
    microlens-0.4.11.2-9caS3Frz8K54yIHXMtlddL
    microlens-mtl-0.2.0.1-9oi5AGxgvu6872DSJa0Xzd
    microlens-th-0.4.3.8-Dz0myLFHWMh9n859WtyR1Z stm-2.5.0.0
    template-haskell-2.16.0.0 text-1.2.4.1
    text-zipper-0.10.1-E8n2A2SSPeu8dpqUPj7xPu transformers-0.5.6.2
    unix-2.7.2.2 vector-0.12.1.2-13ERBhpJHs04DSBWSaT2Mz
    vty-5.32-BL35lXx8UvIFDf7mkreUq3
    word-wrap-0.4.1-E0ZiZTs9LmlGIFPZDUye98

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

